---
date: 2020-10-02
id: 4adf622e-b34a-4a24-ac9e-1c754a1fd8d5
title: TypeScript Type Guard
---

# Introduction

Use `Type Guards` to narrow down the type of an object within a
conditional block.

# Operators

-   [TypeScript in Operator](20201124090450-typescript_in_operator)

# Syntax

-   [TypeScript Literal Type
    Guard](20201124091025-typescript_literal_type_guard)
-   [TypeScript
    strictNullChecks](20201124091530-typescript_strictnullchecks)
-   [TypeScript User Defined Type
    Guards](20201124091740-typescript_user_defined_type_guards)
